import React, { useState, useCallback, useEffect } from "react";
import "./App.css";
import TodoForm from "./components/TodoForm";
import Header from "./components/Header";
import CompletedTodos from "./components/CompletedTodos";
// import Todos from './components/Todos'
import TodoItem from "./components/TodoItem";

function App() {

  const todoData = [
    {
      id: 1,
      text: 'Todo 1',
      isEdit: false,
      isComplete: false
    },
    {
      id: 2,
      text: 'Todo 2',
      isEdit: false,
      isComplete: false
    },
    {
      id: 3,
      text: 'Todo 3',
      isEdit: false,
      isComplete: true
    }
  ]


  // const [editId, setEdit] = useState(false);
  // const [inputValue, setInputValue] = useState("");

  const onEdit = (id, text) => {
    console.log(id, text)
  };

  const onComplete = (id, text) => {
    console.log(id, text)
  }

  const onClick = (id, value) => {
    console.log(id, value)
  }

  // const removeTodo = (id) => {
  //   const removedArr = [...todos].filter((todoId) => todoId.id !== id);
  //   setTodos(removedArr);
  // };

  // const completeTodo = (id) => {
  //   const updatedTodos = todos.map((todo) => {
  //     if (todo.id === id) {
  //       todo.status = !todo.status;
  //     }
  //     return todo;
  //   });
  //   setTodos(updatedTodos);
  // };

  // const editTodo = (id, text) => {
  //   const editTodos = todos.map((todo) => {
  //     if (todo.id === id) {
  //       todo.text = text;
  //     }
  //     return todo;
  //   });
  //   setTodos(editTodos);
  //   setEdit(false);
  // };

  // const escFunction = useCallback((event) => {
  //   if (event.keyCode === 27) {
  //     console.log("esc");
  //     return editTodo();
  //   }
  // });

  // useEffect(() => {
  //   document.addEventListener("keydown", escFunction);

  //   return () => {
  //     document.removeEventListener("keydown", escFunction);
  //   };
  // }, [escFunction]);

  return (
    <>
      <div className='task-main'>

        <Header count={todoData.length} />

        {todoData.map((todos) => (
          <TodoItem key={todos.id} id={todos.id} complete={todos.isComplete} onEdit={onEdit} edit={todos.isEdit} onComplete={onComplete} onClick={onClick}>{todos.text}</TodoItem>
        ))}

        {/* <Todos todos={todos}
          completeTodo={completeTodo}
          removeTodo={removeTodo}
          editTodo={editTodo}
          handleEditChange={handleEditChange}
          editId={editId}
          inputValue={inputValue}
          setInputValue={setInputValue}
          escFunction={escFunction} /> */}

        <TodoForm />


        {/* <h4 style={{ textAlign: 'center', marginBottom: '10px' }}>{todos.filter(todoLen => todoLen.status === true).length > 0 ? 'Completed Todos(' + todos.filter(todoLen => todoLen.status === true).length + ')' : ''}</h4>

        <CompletedTodos todos={todos} completeTodo={completeTodo} removeTodo={removeTodo} /> */}

      </div>

    </>
  );
}

export default App;